Package org.apache.sysds.runtime.iogen

## Class CustomProperties

- java.lang.Object
- - org.apache.sysds.runtime.io.FileFormatProperties
  - - org.apache.sysds.runtime.iogen.CustomProperties

All Implemented Interfaces:
  `Serializable`

    public class CustomProperties
    extends FileFormatProperties
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`CustomProperties​(MappingProperties mappingProperties, RowIndexStructure rowIndexStructure, ColIndexStructure colIndexStructure)`

### Method Summary

All Methods Instance Methods Concrete Methods
`HashSet<String>[]` `endWithValueStrings()`
`ColIndexStructure` `getColIndexStructure()`
`ArrayList<String>[]` `getColKeyPatterns()`
`MappingProperties` `getMappingProperties()`
`int` `getNcols()`
`RowIndexStructure` `getRowIndexStructure()`
`Types.ValueType[]` `getSchema()`
`ArrayList<String>` `getValueKeyPattern()`
`boolean` `isParallel()`
`boolean` `isSparse()`
`void` `setColIndexStructure​(ColIndexStructure colIndexStructure)`
`void` `setColKeyPatterns​(ArrayList<String>[] colKeyPatterns)`
`void` `setEndWithValueStrings​(HashSet<String>[] endWithValueStrings)`
`void` `setMappingProperties​(MappingProperties mappingProperties)`
`void` `setNcols​(int ncols)`
`void` `setParallel​(boolean parallel)`
`void` `setRowIndexStructure​(RowIndexStructure rowIndexStructure)`
`void` `setSchema​(Types.ValueType[] schema)`
`void` `setSparse​(boolean sparse)`
`void` `setValueKeyPattern​(ArrayList<String> valueKeyPattern)`

### Methods inherited from class org.apache.sysds.runtime.io.FileFormatProperties

`getBlocksize, getDescription, knownBlocksize, setDescription`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomProperties

    public CustomProperties​(MappingProperties mappingProperties,
                            RowIndexStructure rowIndexStructure,
                            ColIndexStructure colIndexStructure)

### Method Detail

#### getMappingProperties

    public MappingProperties getMappingProperties()

#### setMappingProperties

    public void setMappingProperties​(MappingProperties mappingProperties)

#### getRowIndexStructure

    public RowIndexStructure getRowIndexStructure()

#### setRowIndexStructure

    public void setRowIndexStructure​(RowIndexStructure rowIndexStructure)

#### getColIndexStructure

    public ColIndexStructure getColIndexStructure()

#### setColIndexStructure

    public void setColIndexStructure​(ColIndexStructure colIndexStructure)

#### getColKeyPatterns

    public ArrayList<String>[] getColKeyPatterns()

#### setColKeyPatterns

    public void setColKeyPatterns​(ArrayList<String>[] colKeyPatterns)

#### getSchema

    public Types.ValueType[] getSchema()

#### setSchema

    public void setSchema​(Types.ValueType[] schema)

#### endWithValueStrings

    public HashSet<String>[] endWithValueStrings()

#### getValueKeyPattern

    public ArrayList<String> getValueKeyPattern()

#### setValueKeyPattern

    public void setValueKeyPattern​(ArrayList<String> valueKeyPattern)

#### getNcols

    public int getNcols()

#### setNcols

    public void setNcols​(int ncols)

#### isSparse

    public boolean isSparse()

#### setSparse

    public void setSparse​(boolean sparse)

#### isParallel

    public boolean isParallel()

#### setParallel

    public void setParallel​(boolean parallel)

#### setEndWithValueStrings

    public void setEndWithValueStrings​(HashSet<String>[] endWithValueStrings)